%define name	gizmod
%define version	3.5
%define release	%mkrel 4

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Gizmod is an advanced input handler for keyboards, mice, and joypads
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		gizmod-3.5-mdv-fix_build_errors.patch
Patch1:		gizmod-3.5-mdv-fix_cmake_dependencies.patch
URL:		http://gizmod.sourceforge.net
Group:		System/Configuration/Hardware 
License:	Apache License V2.0

BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: boost-devel
BuildRequires: libvisual-devel
BuildRequires: alsa-lib-devel
BuildRequires: libx11-devel
BuildRequires: cmake
BuildRequires: python-devel

%description
Gizmod is an input handler that binds to a specific device and can
adapt to various situations so you can have one meaning in, say, AmaroK
and another in MPlayer, etc. It even includes remote control so you can
send input events to another machine with a locally connected device.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export CXXFLAGS="%optflags -DBOOST_FILESYSTEM_VERSION=2"
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

rm -fr %buildroot%_libdir/*.so %buildroot%_includedir

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS NOTICE README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/libvisual-0.4
%{_sysconfdir}/*


%changelog
* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 3.5-4mdv2011.0
+ Revision: 644483
- force filesystem v2
- rebuild for new boost

* Fri Nov 12 2010 Götz Waschk <waschk@mandriva.org> 3.5-3mdv2011.0
+ Revision: 596490
- rebuild for new python

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 3.5-2mdv2011.0
+ Revision: 572168
- only ships runtime files
- rebuild for new boost

* Sun Aug 15 2010 Zombie Ryushu <ryushu@mandriva.org> 3.5-1mdv2011.0
+ Revision: 569869
- Fix Group
- Fix Group
- import gizmod


* Fri Aug 13 2010 Maarten Vanraes <maarten.vanraes@gmail.com> 3.5-1mdv
- Fix the spec file to mdv standards
- Fix build errors for newer gcc
- Fix cmake bugs
* Tue Sep 25 2007 Martin Moeller <martin@martinm-76.dk> 3.3-4.1
- Disabled libvisual for now to enable build on SLE10. It is mostly a gimmick right now anyway.
* Tue Sep 25 2007 Martin Moeller <martin@martinm-76.dk> 3.3-3.1
- Got the final hurdles figured out that prevented the package from building
* Thu Sep 20 2007 Martin Moeller <martin@martinm-76.dk> 3.3-0
- initial version
